Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 1061 - more NLS fixes
Summary: more NLS fixes
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Bruce A. Locke (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-11 05:10 UTC by Seemant Kulleen
Modified: 2003-02-04 19:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch to disable-nls (sylpheed.patch,318 bytes, patch)
2002-03-11 05:11 UTC, Seemant Kulleen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Seemant Kulleen 2002-03-11 05:10:52 UTC
Hi blocke,

I completely overlooked this one in my frenzy last week, for some reason.  Then
today, my sylpheed-claws binary disappeared so I remerged, and noticed....NLS!

So, here's a patch to fix that.  The Japanese HTML manual gets installed whether
you want it to or not.  Ah well.

Seemant
Comment 1 Seemant Kulleen 2002-03-11 05:11:35 UTC
Created attachment 324 [details, diff]
patch to disable-nls
Comment 2 Seemant Kulleen 2002-03-11 09:55:27 UTC
Um, while we're at it, here's a patch for Xfce, which takes care of disable-nls
there too :)

Seemant

---- Cut here

--- xfce-3.8.11-r1.ebuild       Thu Feb 14 14:13:04 2002
+++ xfce-3.8.11-r2.ebuild       Mon Mar 11 07:35:52 2002
@@ -10,28 +10,30 @@
 
 DEPEND="virtual/x11
         >=x11-libs/gtk+-1.2.10-r4
-       gnome? ( >=media-libs/gdk-pixbuf-0.11.0-r1 )"
+       gnome? ( >=media-libs/gdk-pixbuf-0.11.0-r1 )
+       nls? ( sys-devel/gettext )"
 
-if [ -z "`use gnome`" ]
-then
-    DEPEND="${DEPEND} >=media-libs/imlib-1.9.10-r1"
-fi
+    use gnome || DEPEND="${DEPEND} >=media-libs/imlib-1.9.10-r1"
 
 src_compile() {
     local myconf
 
     if [ "`use gnome`" ]
     then
-       myconf="--enable-imlib=no --enable-gdk-pixbuf=/usr"
+               myconf="--enable-imlib=no --enable-gdk-pixbuf=/usr"
+               myconf="${myconf} --enable-gdm"
     fi
+       
+       use nls || myconf="${myconf} --disable-nls"
 
     ./configure --host=${CHOST}                                        
\
                --prefix=/usr                                           \
                --mandir=/usr/share/man                                 \
                --with-data-dir=/usr/share/xfce                         \
                --with-conf-dir=/etc/xfce                               \
-               --with-locale-dir=/usr/share/locale ${myconf}
-    try make
+               --enable-xft                                            \
+               --with-locale-dir=/usr/share/locale ${myconf} || die
+    emake || die
 }
 
 src_install () {
Comment 3 Seemant Kulleen 2002-03-11 09:58:51 UTC
OK, I decided to clean up the ebuild for sylpheed-claws a little more -- using
the defaults that are in ./configure anyway, I realised that some of the clauses
in the ebuild were redundant.  So this patch is pretty much the same thing as
the original patch attached,fucntionality wise, it just cleans it up a _bit_. 


--- Cut here

--- sylpheed-claws-0.7.2.ebuild Wed Mar  6 10:55:22 2002
+++ sylpheed-claws-0.7.2-r1.ebuild      Mon Mar 11 07:47:37 2002
@@ -18,6 +18,7 @@
        jpilot? ( >=app-misc/jpilot-0.99 )
        imlib? ( >=media-libs/imlib-1.9.10 )
        gpgme? ( >=app-crypt/gpgme-0.2.3 )
+       nls? ( sys-devel/gettext )
        "
        
 RDEPEND="$DEPEND"
@@ -25,41 +26,27 @@
 src_compile() {
        local myconf
 
-       use ssl && \
-               myconf="$myconf --enable-ssl" || \
-               myconf="$myconf --disable-ssl"
-
-       use gpgme && \
-               myconf="$myconf --enable-gpgme" || \
-               myconf="$myconf --disable-gpgme"
+       use ssl && myconf="${myconf} --enable-ssl"
 
-       use pixbuf && \
-               myconf="$myconf --enable-gtk-pixbuf" || \
-               myconf="$myconf --disable-gtk-pixbuf"
+       use gpgme && myconf="${myconf} --enable-gpgme" || \
 
-       use xface && \
-               myconf="$myconf --enable-compface" || \
-               myconf="$myconf --disable-compface"
-
-       use ldap && \
-               myconf="$myconf --enable-ldap" || \
-               myconf="$myconf --disable-ldap"
-
-       use spell && \
-               myconf="$myconf --enable-pspell" || \
-               myconf="$myconf --disable-pspell"
-
-       use ipv6 && 
-               myconf="$myconf --enable-ipv6" || \
-               myconf="$myconf --disable-ipv6"
-
-       use jpilot && \
-               myconf="$myconf --enable-jpilot" || \
-               myconf="$myconf --disable-jpilot"
+       use pixbuf && \
+               myconf="$myconf --enable-gdk-pixbuf" || \
+               myconf="$myconf --disable-gdk-pixbuf"
 
        use imlib && \
                myconf="$myconf --enable-imlib" || \
                myconf="$myconf --disable-imlib"
+       
+       use ldap && myconf="$myconf --enable-ldap"
+       
+       use spell && myconf="$myconf --enable-pspell"
+       
+       use ipv6 && myconf="$myconf --enable-ipv6"
+
+       use jpilot && myconf="$myconf --enable-jpilot"
+
+       use nls || myconf="${myconf} --disable-nls"
 
        ./configure \
                --host=${CHOST} \
@@ -69,13 +56,10 @@
                ${myconf} || die "./configure failed"
 
        emake || die
-       #make || die
 }
 
 src_install () {
        make DESTDIR=${D} install || die
        
-       if [ -z "`use gnome`" ] ; then
-               rm -rf ${D}/usr/share/gnome
-       fi
+       use gnome || rm -rf ${D}/usr/share/gnome
 }
Comment 4 Seemant Kulleen 2002-03-11 10:07:08 UTC
OK, how about one for xine-libs (of all things!).


--- Cut here

--- xine-lib-0.9.8.ebuild       Tue Feb 12 11:23:33 2002
+++ xine-lib-0.9.8-r1.ebuild    Mon Mar 11 08:01:25 2002
@@ -18,7 +18,8 @@
        arts? ( kde-base/kdelibs )
        alsa? ( media-libs/alsa-lib )
        ogg? ( media-libs/libogg )
-       vorbis? ( media-libs/libvorbis )"
+       vorbis? ( media-libs/libvorbis )
+       nls? ( sys-devel/gettext )"
 
 
 src_compile() {
@@ -32,6 +33,7 @@
        use arts   || myconf="${myconf} --disable-arts --disable-artstest"
        use ogg    || myconf="${myconf} --disable-ogg --disable-oggtest"
        use vorbis || myconf="${myconf} --disable-vorbis --disable-vorbistest"
+       use nls    || myconf="${myconf} --disable-nls"
         
        ./configure --host=${CHOST}                     \
                    --prefix=/usr                       \
Comment 5 Seemant Kulleen 2002-03-11 10:13:34 UTC
Naturally, xine-ui had to be fixed too :)

--- Cut here

more xine-ui.patch
--- xine-ui-0.9.8-r1.ebuild     Tue Feb 19 11:52:02 2002
+++ xine-ui-0.9.8-r2.ebuild     Mon Mar 11 08:10:09 2002
@@ -12,7 +12,9 @@
        media-libs/libpng
        media-libs/aalib
        >=media-libs/xine-lib-${PV}
-       X? ( virtual/x11 )"
+       nls? ( sys-devel/gettext )
+       X? ( virtual/x11 )
+       gnome? ( gnome-base/ORBit )"
 #      aalib? ( media-libs/aalib )"
 
 
@@ -28,6 +30,8 @@
        # Most of these are not working currently, but are here for completeness
        local myconf
        use X      || myconf="${myconf} --disable-x11 --disable-xv"
+       use nls    || myconf="${myconf} --disable-nls"
+       use gnome  || myconf="${myconf} --enable-orbit"
 #      use aalib  || myconf="${myconf} --disable-aalib --disable-aalibtest"
   
        ./configure --host=${CHOST} \
Comment 6 Seemant Kulleen 2002-03-11 10:29:46 UTC
Unbelievable that this one escaped my attention in my bout with gnome and gtk
apps!  Gtkhtml...


--- Cut here
--- gtkhtml-1.0.1.ebuild        Sun Jan 13 06:33:10 2002
+++ gtkhtml-1.0.1-r1.ebuild     Mon Mar 11 08:18:00 2002
@@ -16,22 +16,25 @@
          >=dev-libs/libunicode-0.4-r1
         >=gnome-base/gconf-1.0.7-r2
          >=gnome-base/bonobo-1.0.18
-        >=gnome-base/gnome-print-0.34"
+        >=gnome-base/gnome-print-0.34
+       nls? ( sys-devel/gettext
+        >=dev-util/intltool-0.11 )"
 
-DEPEND="${RDEPEND}
-       sys-devel/gettext
-        >=dev-util/intltool-0.11"
+DEPEND="${RDEPEND}"
 
 src_compile() {
 
+       local myconf
+
+       use nls || myconf="${myconf} --disable-nls"
+
        ./configure --host=${CHOST}                                     \
                    --prefix=/usr                                       \
                    --sysconfdir=/etc                                   \
                    --localstatedir=/var/lib                            \
                    --with-bonobo                                       \
-                   --with-gconf
-
-       assert "Package configuration failed."
+               --with-gconf                                    \
+                       ${myconf} || die
 
        emake || die "Package building failed."
 }


Comment 7 Seemant Kulleen 2002-03-11 10:41:42 UTC
Not to be like Mork or anything (since I am definitely not from Ork :P).  Ok,
ok, so I'm sleep-deprived and making silly jokes, but here's nano's patch:

-- Cut here

--- nano-1.0.8.ebuild   Wed Feb 20 08:09:43 2002
+++ nano-1.0.8-r1.ebuild        Mon Mar 11 08:39:29 2002
@@ -10,22 +10,23 @@
 
 DEPEND="virtual/glibc
        >=sys-libs/ncurses-5.2
-       slang? ( >=sys-libs/slang-1.4.4-r1 )"
+       slang? ( >=sys-libs/slang-1.4.4-r1 )
+       nls? ( sys-devel/gettext )"
 
 src_compile() {
-       local myflags
-       if use slang; then
-               myflags="--with-slang"
-       else
-               myflags="--without-slang"
-       fi
+       local myconf
+
+       use slang && myconf="${myconf} --with-slang"
+       use nls || myconf="${myconf} --disable-nls"
+
        ./configure \
                --build=${CHOST} \
                --prefix=/usr \
                --enable-extra \
                --mandir=/usr/share/man \
                --infodir=/usr/share/info \
-               ${myflags} || die "./configure failed"
+               ${myconf} || die "./configure failed"
+
        emake || die
 }
 
Comment 8 Seemant Kulleen 2002-03-11 10:47:46 UTC
While we're on the subject of editors, how about bluefish?  Grr, I'll catch all
the nls issues in gentoo yet!

--- Cut here

more bluefish.patch
--- bluefish-0.7.ebuild Tue Dec  4 18:22:59 2001
+++ bluefish-0.7-r1.ebuild      Mon Mar 11 08:45:25 2002
@@ -10,20 +10,19 @@
 
 DEPEND=">=x11-libs/gtk+-1.2.10-r4
         >=media-libs/imlib-1.9.10-r1
-               perl? ( sys-devel/perl )"
+               perl? ( sys-devel/perl )
+               nls? ( sys-devel/gettext )"
 
 src_compile() {
 
        local myconf
-       if [ "`use perl`" ]
-       then
-               myconf="$myconf --with-perl"
-       fi
+       use perl && myconf="${myconf} --with-perl"
+       use nls  || myconf="${myconf} --disable-nls"
        
        ./configure --prefix=/usr \
                --host=${CHOST} \
                --with-autocomplet \
-               $myconf || die
+               ${myconf} || die
                
        emake || die
 
Comment 9 Seemant Kulleen 2002-03-11 11:19:43 UTC
some binutils for you?

-- Cut Here

--- binutils-2.11.92.0.12.3-r1.ebuild   Wed Dec 26 18:43:17 2001
+++ binutils-2.11.92.0.12.3-r2.ebuild   Mon Mar 11 09:10:58 2002
@@ -7,7 +7,9 @@
 S=${WORKDIR}/${P}
 DESCRIPTION="Tools necessary to build programs"
 SRC_URI="http://ftp.kernel.org/pub/linux/devel/binutils/${P}.tar.bz2 http://www
.ibiblio.org/gentoo/distfiles/${PN}-manpages-${PV}.tar.bz2"
-DEPEND="virtual/glibc"
+
+DEPEND="virtual/glibc
+               nls? ( sys-devel/gettext )"
 
 src_unpack() {
        unpack ${P}.tar.bz2
@@ -19,13 +21,20 @@
 }
 
 src_compile() {
+       
+       local myconf
+
+       use nls && \
+               myconf="${myconf} --without-included-gettext" || \
+               myconf="${myconf} --disable-nls"
+       
        ./configure --enable-shared \
                --enable-64-bit-bfd \
                --prefix=/usr \
                --mandir=/usr/share/man \
                --infodir=/usr/share/info \
                --host=${CHOST} \
-               --without-included-gettext || die
+               ${myconf} || die
                
        if [ "`use static`" ]
        then
Comment 10 Seemant Kulleen 2002-03-11 11:49:33 UTC
Let's stop gawking at NLS :P


--- Cut Here

more gawk.patch
--- gawk-3.1.0.ebuild   Mon Dec 31 15:47:55 2001
+++ gawk-3.1.0-r1.ebuild        Mon Mar 11 09:47:06 2002
@@ -8,14 +8,21 @@
 SRC_URI="ftp://gatekeeper.dec.com/pub/GNU/gawk/${P}.tar.gz"
 HOMEPAGE="http://www.gnu.org/software/gawk/gawk.html"
 
-DEPEND="virtual/glibc"
+DEPEND="virtual/glibc
+               nls? ( sys-devel/gettext )"
 
 src_compile() {
+
+       local myconf
+       use nls || myconf="${myconf} --disable-nls"
+
        ./configure --prefix=/usr \
                --libexecdir=/usr/lib/awk \
                --mandir=/usr/share/man \
                --infodir=/usr/share/info \
-               --host=${CHOST} || die
+               --host=${CHOST}  \
+               ${myconf} || die
+
        emake || die
 }
 
Comment 11 Seemant Kulleen 2002-03-11 12:00:06 UTC
findutils sorted out as well for it

--- cut Here

--- findutils-4.1.7.ebuild      Mon Mar 11 09:58:49 2002
+++ findutils-4.1.7-r1.ebuild   Mon Mar 11 09:42:21 2002
@@ -8,13 +8,21 @@
 SRC_URI="ftp://alpha.gnu.org/gnu/${P}.tar.gz"
 HOMEPAGE="http://www.gnu.org/software/findutils/findutils.html"
 
-DEPEND="virtual/glibc sys-devel/gettext"
+DEPEND="virtual/glibc
+               nls? ( sys-devel/gettext )"
 RDEPEND="virtual/glibc"
 
 src_compile() {
+
+       local myconf
+
+       use nls || myconf="${myconf} --disable-nls"
+
        ./configure --host=${CHOST} \
                --prefix=/usr \
-               --localstatedir=/var/spool/locate || die
+               --localstatedir=/var/spool/locate \
+               ${myconf} || die
+
        emake libexecdir=/usr/lib/find || die
 }
 
@@ -41,4 +49,3 @@
        touch ${D}/var/spool/locate/.keep
 }
 
-
Comment 12 Seemant Kulleen 2002-03-11 12:15:55 UTC
I know I am treading on slighly dangerous ground here -- but shadow as well..

--- Cut here

--- shadow-20001016-r9.ebuild   Mon Feb 25 23:05:13 2002
+++ shadow-20001016-r10.ebuild  Mon Mar 11 10:08:10 2002
@@ -7,7 +7,8 @@
 DESCRIPTION="Utilities to deal with user accounts"
 SRC_URI="ftp://ftp.pld.org.pl/software/shadow/old/${P}.tar.gz"
 
-DEPEND=">=sys-libs/pam-0.73 sys-devel/gettext"
+DEPEND=">=sys-libs/pam-0.73 
+               nls? ( sys-devel/gettext )"
 RDEPEND=">=sys-libs/pam-0.73"
 
 src_unpack() {
@@ -17,12 +18,17 @@
 }
 
 src_compile() {
+       
+       local myconf
+       use nls || myconf="${myconf} --disable-nls"
+
        ./configure \
                --disable-desrpc \
                --with-libcrypt \
                --with-libcrack \
                --with-libpam \
-               --host=${CHOST} || die "bad configure"
+               --host=${CHOST} \
+               ${myconf} || die "bad configure"
                
        # Parallel make fails sometimes
        make LDFLAGS="" || die "compile problem"
Comment 13 Seemant Kulleen 2002-03-11 12:17:56 UTC
sharutils as well, as it turns out..


--- Cut Here

more sharutils.patch
--- sharutils-4.2.1-r4.ebuild   Sat Nov 24 10:36:40 2001
+++ sharutils-4.2.1-r5.ebuild   Mon Mar 11 10:14:50 2002
@@ -8,7 +8,9 @@
 DESCRIPTION="Tools to deal with shar archives"
 SRC_URI="ftp://prep.ai.mit.edu/gnu/sharutils/${A}"
 
-DEPEND="virtual/glibc sys-apps/texinfo >=sys-devel/gettext-0.10.35"
+DEPEND="virtual/glibc 
+               sys-apps/texinfo 
+               nls? ( >=sys-devel/gettext-0.10.35 )"
 RDEPEND="virtual/glibc"
 
 
@@ -26,14 +28,25 @@
 }
 
 src_compile() {
+       
+       local myconf
+       use nls || myconf="${myconf} --disable-nls"
+
+       ./configure     \
+               --host=${CHOST} \
+               --prefix=/usr   \
+               ${myconf} || die
 
-       try ./configure --host=${CHOST} --prefix=/usr
-       try make ${MAKEOPTS} localedir=/usr/share/locale
+       emake ${MAKEOPTS} localedir=/usr/share/locale || die
 }
 
 src_install() {
 
-       try make prefix=${D}/usr localedir=${D}/usr/share/locale infodir=${D}/us
r/share/info install
+       make \
+               prefix=${D}/usr \
+               localedir=${D}/usr/share/locale \
+               infodir=${D}/usr/share/info \
+               install || die
 
        doman doc/*.[15]
         #Remove some strange locals
Comment 14 Seemant Kulleen 2002-03-11 12:30:42 UTC
mad -- I don't know what it has to do with sound, but long live Alfred E.
Neuman, I suppose.

--- Cut HEre

--- mad-0.14.2b.ebuild  Wed Nov 14 07:55:10 2001
+++ mad-0.14.2b-r1.ebuild       Mon Mar 11 10:26:25 2002
@@ -9,13 +9,19 @@
 HOMEPAGE="http://mad.sourceforge.net/"
 DESCRIPTION="A high-quality MP3 decoder"
 
-DEPEND="sys-devel/gcc virtual/glibc sys-devel/ld.so"
+DEPEND="sys-devel/gcc 
+               virtual/glibc 
+               sys-devel/ld.so
+               nls? ( sys-devel/gettext )"
 RDEPEND="virtual/glibc sys-devel/ld.so"
 
 src_compile() {
        confopts="--infodir=/usr/share/info --mandir=/usr/share/man \
                          --prefix=/usr --host=${CHOST} --enable-static \
                          --disable-debugging --enable-shared --enable-fpm=intel
"
+
+       use nls || confopts="${confopts} --disable-nls"
+
        ./configure ${confopts} || die
        emake || die
 }
Comment 15 Seemant Kulleen 2002-03-11 12:37:48 UTC
gimp-freetype here

-- Cut here

--- gimp-freetype-0.2-r1.ebuild Fri Feb 22 17:56:54 2002
+++ gimp-freetype-0.2-r2.ebuild Mon Mar 11 10:34:12 2002
@@ -8,18 +8,24 @@
 SRC_URI="http://freetype.gimp.org/gimp-freetype-0.2.tar.gz"
 HOMEPAGE="http://freetype.gimp.org/"
 
-DEPEND=">=media-gfx/gimp-1.2.3-r1 >=media-libs/freetype-2.0.1"
+DEPEND=">=media-gfx/gimp-1.2.3-r1 
+               >=media-libs/freetype-2.0.1
+               nls? ( sys-devel/gettext )"
 RDEPEND="virtual/glibc"
 
 
 src_compile() {
+
+       local myconf
+       use nls || myconf="${myconf} --disable-nls"
+
        ./configure --host=${CHOST} \
        --prefix=/usr \
        --mandir=/usr/share/man \
        --infodir=/usr/share/info \
        --sysconfdir=/etc/gimp/1.2/     \
        --with-gimp-exec-prefix=/usr \
-       || die
+       ${myconf} || die
        emake || die
 }
 
Comment 16 Seemant Kulleen 2002-03-11 13:06:51 UTC
Scrollkeeper:

--Cut Here

more scrollkeeper.patch
18d17
<       local  myconf
20,22c19,21
<       if [ -z "`use nls`" ] ; then
<               myconf ="--disable-nls"
<       fi
---
>       local myconf
> 
>       use nls || myconf="${myconf} --disable-nls"
27c26,28
<                   --localstatedir=/var $myconf || die
---
>                   --localstatedir=/var  \
>                       ${myconf} || die
>                       
Comment 17 Seemant Kulleen 2002-03-11 13:11:37 UTC
app-games/heroes:

--- Cut here

--- heroes-0.19.ebuild  Wed Feb  6 14:58:01 2002
+++ heroes-0.19-r1.ebuild       Mon Mar 11 11:09:11 2002
@@ -1,4 +1,4 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Copyright 1999-2002 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License, v2 or later
 # Author Dan Armak <danarmak@gentoo.org>
 # /space/gentoo/cvsroot/gentoo-x86/app-games/heroes/heroes-0.19.ebuild,v 1.2 20
02/02/06 22:58:01 verwilst Exp
@@ -14,7 +14,8 @@
 SLOT="0"
 
 # heroes can either link against SDL+SDL-mixer or, libGGI+libGII+libmikmod.
-DEPEND="virtual/x11"
+DEPEND="virtual/x11
+               nls? ( sys-devel/gettext )"
 confopts="--prefix=/usr --host=${CHOST} --enable-html-doc=/usr/share/doc/${P} -
-disable-debug --disable-heroes-debug"
 
 # The following means that SDL is used only if it's in the USE var.
@@ -30,6 +31,8 @@
     confopts="${confopts} --with-ggi --with-mikmod"
 fi
 
+use nls || confopts="${confopts} --disable-nls"
+
 src_compile() {
 
        for x in $list
Comment 18 Seemant Kulleen 2002-03-11 13:18:18 UTC
app-games/stickers

--- Cut here

--- stickers-0.1.3.ebuild       Wed Feb  6 14:58:01 2002
+++ stickers-0.1.3-r1.ebuild    Mon Mar 11 11:16:38 2002
@@ -10,11 +10,18 @@
 SLOT="0"
 DEPEND="virtual/x11 
        media-libs/imlib 
-       x11-libs/gtk+"
+       x11-libs/gtk+
+       nls? ( sys-devel/gettext )"
 
 src_compile() {
+       local myconf
+       use nls || myconf="${myconf} --disable-nls"
 
-       ./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/
man || die
+       ./configure \
+               --prefix=/usr \
+               --infodir=/usr/share/info \
+               --mandir=/usr/share/man \
+               ${myconf} || die
        emake || die
 
 }
Comment 19 Matthew Kennedy 2002-03-11 15:41:26 UTC
This fixes an NLS problem in enscript. It also refines the RDEPEND (afaict using
ldd etc., enscript does not rely on flex or bison at runtime).

--- cut here

--- enscript-1.6.3.ebuild	Mon Feb  4 14:20:26 2002
+++ enscript-1.6.3-r1.ebuild	Mon Mar 11 15:24:32 2002
@@ -10,15 +10,27 @@
 DESCRIPTION="GNU's enscript is a powerful text-to-postsript converter"
 
 DEPEND="sys-devel/flex
-
sys-devel/bison"
+
sys-devel/bison
+
nls? ( sys-devel/gettext )"
+
+RDEPEND="nls? ( sys-devel/gettext )"
 
 src_compile() {
+
local myopts 
+

+
if [ -z "`use nls`" ] 
+
then
+
	myopts="--disable-nls"
+
else
+
	myopts="--enable-nls"
+
fi
 
 	./configure 	--host=${CHOST} \
 
		--prefix=/usr \
 
		--mandir=/usr/share/man \
 
		--infodir=/usr/share/info \
-
		--sysconfdir=/etc
+
		--sysconfdir=/etc \
+
		${myopts}
 	assert
 
 	emake || die